/* This file is part of turtle, a turtle-graphics system for Scheme.

Copyright (C) 2008  Luca Saiu

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>. */


#ifndef COMPILETIMEPARAMETERS_H_
#define COMPILETIMEPARAMETERS_H_

/* Size of the turtle-graphics window, in pixels: */
#define TURTLE_WINDOW_WIDTH   640
#define TURTLE_WINDOW_HEIGHT  480

/* The following are automatically computed, and should not be
   touched by the user: */
#define TURTLE_WINDOW_RATIO  ((float)(TURTLE_WINDOW_WIDTH) / (float)(TURTLE_WINDOW_HEIGHT))

/* Cursor height, in pixels: */
#define TURTLE_CURSOR_HEIGHT 30

#endif // #ifndef COMPILETIMEPARAMETERS_H_
